_

LISP pomocny przy wstawianiu bloków

Forum poświęcone flagowemu produktowi oraz aplikacjom pochodnym Autodesku. To jedyne forum mające w tytule nazwę programu, a to ze względu na jego olbrzymią popularność w Polsce. Można tutaj umieszczać również posty z ogólnie pojętej tematyki "Kreślarskie 2D".

LISP pomocny przy wstawianiu bloków

Postprzez Deska » wrz 04, 2019 15:46

Cześć

Chciałbym prosić was forumowicze o pomoc. Potrzebuję stworzyć lispa który będzie wstawiał mi konkretny blok od razu tam gdzie kliknę.

stworzyłem coś takie (DEFUN C:1 () (COMMAND "WWSTAW" "blok" "????" "1" "0" "1" "1"))
ale w miejscu pytajników (?????) powinno nastąpić wybranie punktu myszką, niestety nie wiem jakiej komendy użyć, czy ktoś jest w stanie mi pomóc ?
Z góry dziękuję
Deska
 
Posty: 1
Dołączył(a): wrz 04, 2019 15:39

Re: LISP pomocny przy wstawianiu bloków

Postprzez kojacek » wrz 04, 2019 17:58

Deska napisał(a):Cześć

Chciałbym prosić was forumowicze o pomoc. Potrzebuję stworzyć lispa który będzie wstawiał mi konkretny blok od razu tam gdzie kliknę.

stworzyłem coś takie (DEFUN C:1 () (COMMAND "WWSTAW" "blok" "????" "1" "0" "1" "1"))
ale w miejscu pytajników (?????) powinno nastąpić wybranie punktu myszką, niestety nie wiem jakiej komendy użyć, czy ktoś jest w stanie mi pomóc ?
Z góry dziękuję


Wybranie punktu (niekoniecznie) myszką możliwe jest przy użyciu funkcji (ale nie komendy) getpoint. Poczytaj o niej w help'ie do AutoLISP'a.
Avatar użytkownika
kojacek
 
Posty: 5507
Dołączył(a): paź 03, 2005 20:17

Re: LISP pomocny przy wstawianiu bloków

Postprzez Kuracki » wrz 04, 2019 20:15

kojacek napisał(a):
Deska napisał(a):Cześć

Chciałbym prosić was forumowicze o pomoc. Potrzebuję stworzyć lispa który będzie wstawiał mi konkretny blok od razu tam gdzie kliknę.

stworzyłem coś takie (DEFUN C:1 () (COMMAND "WWSTAW" "blok" "????" "1" "0" "1" "1"))
ale w miejscu pytajników (?????) powinno nastąpić wybranie punktu myszką, niestety nie wiem jakiej komendy użyć, czy ktoś jest w stanie mi pomóc ?
Z góry dziękuję


Wybranie punktu (niekoniecznie) myszką możliwe jest przy użyciu funkcji (ale nie komendy) getpoint. Poczytaj o niej w help'ie do AutoLISP'a.

Kodżak chyba stać cie na więcej a nie do helpa odsyłasz. I jeszcze jedno sam zaniżasz swoje standardy - jakie komendy? Poprawnie jest polecenie a nie komenda.
Kuracki
 
Posty: 9
Dołączył(a): gru 07, 2018 10:56

Re: LISP pomocny przy wstawianiu bloków

Postprzez andkal » wrz 10, 2019 23:10

Deska napisał(a):Cześć

Chciałbym prosić was forumowicze o pomoc. Potrzebuję stworzyć lispa który będzie wstawiał mi konkretny blok od razu tam gdzie kliknę.

stworzyłem coś takie (DEFUN C:1 () (COMMAND "WWSTAW" "blok" "????" "1" "0" "1" "1"))
ale w miejscu pytajników (?????) powinno nastąpić wybranie punktu myszką, niestety nie wiem jakiej komendy użyć, czy ktoś jest w stanie mi pomóc ?
Z góry dziękuję


Zamiast "????" wstaw wyraz: pause.
przykład: (COMMAND "WWSTAW" "blok" pause 1 0 1 1)
andkal
 
Posty: 46
Dołączył(a): paź 01, 2017 22:10


Powrót do AutoCAD

Kto przegląda forum

Użytkownicy przeglądający ten dział: Brak zidentyfikowanych użytkowników